<template>
  <div class="content-block">
    <div class="container-fluid">
      <h2 v-if="fields.title">{{ fields.title }}</h2>
      <div v-if="fields.image" class="text-center">
        <img
          :src="fields.image.fields.file.url"
          :alt="fields.image.fields.title"
          :width="fields.image.fields.file.details.image.width"
          :height="fields.image.fields.file.details.image.height"
          class="img-fluid"
        />
      </div>
      <b-button v-if="fields.ctaText" href="#" size="lg" variant="primary">
        {{ fields.ctaText }}
      </b-button>
    </div>
  </div>
</template>

<script>
import { documentToHtmlString } from '@contentful/rich-text-html-renderer'

export default {
  props: {
    fields: {
      type: Object,
      required: true
    }
  },
  methods: {
    documentToHtmlString: value => {
      if (!value) return ''
      console.log(documentToHtmlString(value))
      return documentToHtmlString(value)
    },
    richTextRender: value => {
      if (!value) return ''
      console.log(documentToHtmlString(value))
      return documentToHtmlString(value)
    }
  }
}
</script>

<style scoped lang="scss">
@import './assets/scss/bootstrap-variable-override';
.content-block {
  padding-top: 2rem;
  padding-bottom: 2rem;
  margin-bottom: 2rem;
  line-height: 1.75;
}
h2 {
  letter-spacing: -0.9px;
  margin-top: 1.5rem;
  margin-bottom: 1rem;
}
img {
}
</style>
